﻿<!DOCTYPE html>
<html lang="en">

<head>
	<link rel="manifest" href="./manifest.json">
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimal-ui, minimum-scale=1">
	<title>SpaceSpeed</title>
	<style>
		html,
		body {
			width: 100%;
			height: 100%;
			background-color: #000000;
			max-height: 100%;
			overflow: hidden;
			margin: 0;
			padding: 0;
			border: 0;
		}

		body {
			touch-action: none;
			-ms-touch-action: none;
		}

		canvas {
			z-index: 10;
			position: absolute;
		}
	</style>

</head>

<body>

	<canvas id="3d" width="100%" height="100%"></canvas>
	<canvas id="2d"></canvas>

	<script>
		window["__gb_adsconfig"] = {
			inline: false,
			network: "facebook",
		};
	</script>

	<script src="../vendor/dat.gui.min.js"></script>
	<script src="../../plume3d/vendor/three.js"></script>
	<script src="../../plume3d/vendor/three.gltfloader.js"></script>
	<script src="../../plume3d/vendor/three.dracoloader.js"></script>
	<script src="./game/js/three-editor-controls.js"></script>
	<script src="./game/js/three-transform-controls.js"></script>
	<script src="../../plume3d/vendor/cannon.js"></script>
	<script src="../../plume3d/vendor/howler.core.min.js"></script>

	<script src="../../plume3d/export/latest/plume3d.core.js"></script>
	<script src="../../plume3d/export/latest/plume3d.gui.js"></script>
	<script src="../../plume3d/export/latest/plume3d.tween.js"></script>
	<script src="../../plume3d/export/latest/plume3d.cannon.js"></script>
	<script src="../vendor/dat.gui.min.js"></script>
	<script src="../../integration/minisdk/export/vads.js"></script>
	<script src="./game/js/random-seed.js"></script>
	<script src="build/game.js"></script>

	<script>
		var adshandler = window["__gb_adshandler"];
		adshandler.on("gameover", function (data) {
			console.log("gameover: " + (data == null ? "null" : JSON.stringify(data)));
		});
		adshandler.on("update", function (data) {
			console.log("update: " + (data == null ? "null" : JSON.stringify(data)));
		});
		adshandler.on("ready", function (data) {
			console.log("ready: " + (data == null ? "null" : JSON.stringify(data)));
		});


		//HUD
		adshandler.gameplay.showHUD_leaderboard = true;
		adshandler.gameplay.showHUD_kills = true;

		//TIMER 
		adshandler.gameplay.timerConf = {
			enabled: true,
			timeLimit: 30,
			showTime: true,
			timerText: "REACH THE FIRST PLACE !",
			showTimeout: true,
			stopGameplay: false,
		};

		//PLAYER 
		adshandler.gameplay.playerConf = {
			name: "Baracuda!",
			color: 0x00ff00
		};

		//BOTS 
		adshandler.gameplay.botsCount = 5; // nb of bots
		adshandler.gameplay.botsSpeed = 12;
		adshandler.gameplay.botsConf = [
			{ name: "Mr Blue", color: 0x0000FF },
			{ name: "Mr Yellow", color: 0XFFFF00 },
			{ name: "Pacman", color: 0xFF0000 },
			{ color: 0x444444 },
			{ color: 0x22AA22 },
		];


		//Misc params
		adshandler.gameplay.eatHolePoints = 5;
		adshandler.gameplay.resurrectionDelay = 3;



		function showMenu() {
			
		}

		showMenu();
	</script>

</body>

</html>